"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// tslint:disable:prefer-function-over-method
const BaseSingletonDefinition_1 = require("../ioc/objectdefinition/BaseSingletonDefinition");
const MysqlClient_1 = require("./MysqlClient");
class MysqlPlugin {
    constructor() {
        this.name = 'MysqlPlugin';
    }
    getName() {
        return this.name;
    }
    willStart(app) {
        if (!app.hasConfig('mysql')) {
            throw new Error('MysqlPlugin has been registered but could not find config using key "mysql"');
        }
        const context = app.getContext();
        const confs = context.getConfig('mysql');
        Object.keys(confs).forEach((key) => {
            const clientSingleton = new BaseSingletonDefinition_1.BaseSingletonDefinition(MysqlClient_1.MysqlClient, key);
            clientSingleton.setPropertyByValue('name', key);
            clientSingleton.setPropertyByValue('configuration', confs[key]);
            context.registerSingletons(clientSingleton);
        });
    }
}
exports.default = MysqlPlugin;
//# sourceMappingURL=MysqlPlugin.js.map