"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const AWS = require("aws-sdk");
const LogManager_1 = require("../log/LogManager");
const log = LogManager_1.LogManager.getLogger();
const awsApiVersion = '2012-11-05';
const defaultAwsRegion = 'ap-southeast-2';
class SqsClient {
    constructor(config, name) {
        this.name = name;
        this.configuration = Object.assign({}, {
            apiVersion: awsApiVersion,
            region: defaultAwsRegion,
        }, config);
    }
    initialise() {
        this.connection = new AWS.SQS(this.configuration);
    }
    sendMessage(params, cb) {
        params['QueueUrl'] = this.configuration.queueUrl;
        try {
            this.connection.sendMessage(params, cb);
        }
        catch (err) {
            return cb(err, null);
        }
    }
}
SqsClient.startMethod = 'initialise';
exports.SqsClient = SqsClient;
//# sourceMappingURL=SqsClient.js.map